%define rversion 1.18
%define apache_version 1.3.33

Summary:	Logs to MySQL
Name: 		apache1-mod_log_sql
Version: 	%{apache_version}_%{rversion}
Release: 	1mdk
License:	Apache License
Group:		System/Servers
URL:		http://www.outoforder.cc/projects/apache/mod_log_sql/
Source0:	mod_log_sql-%{rversion}.tar.bz2
Prereq:		apache1 = %{apache_version}
Prereq:		apache1-base >= %{apache_version}
BuildRequires:	MySQL-devel
BuildRequires:	apache1-devel
BuildRoot:	%{_tmppath}/%{name}-root

%description
mod_log_sql offers Apache administrators the ability to log accesses
to a MySQL database. This capability can replace or coexist with Apache's
regular text-file logging mechanisms. mod_log_sql is production-ready
and is known to work with high volume webservers and webserver clusters
supporting over 100,000 hits per day.

%prep

%setup -q -n mod_log_sql

%build

%{_sbindir}/apache1-apxs \
    -L%{_libdir} \
    -I%{_includedir} \
    -I%{_includedir}/ssl \
    -I%{_includedir}/mysql \
    -I%{_includedir}/db1 \
    -lmysqlclient -lz \
    -DMYSQLSOCKET="\"/var/lib/mysql/mysql.sock\"" \
    -DWANT_SSL_LOGGING -c mod_log_sql.c

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/apache1
install -d %{buildroot}%{_sysconfdir}/apache1/modules.d

install -m0755 mod_log_sql.so %{buildroot}%{_libdir}/apache1/

cat > %{buildroot}%{_sysconfdir}/apache1/modules.d/19_mod_log_sql.conf << EOF
Loadmodule sql_log_module	modules/mod_log_sql.so
EOF

%post
if [ -f %{_var}/lock/subsys/apache1 ]; then
    %{_initrddir}/apache1 restart 1>&2;
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f %{_var}/lock/subsys/apache1 ]; then
        %{_initrddir}/apache1 restart 1>&2
    fi
fi

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGELOG INSTALL LICENSE create_tables.sql make_combined_log.pl Documentation
%config(noreplace) %{_sysconfdir}/apache1/modules.d/19_mod_log_sql.conf
%{_libdir}/apache1/mod_log_sql.so

%changelog
* Mon Jun 06 2005 Oden Eriksson <oeriksson@mandriva.com> 1.3.33_1.18-1mdk
- renamed to apache1-mod_log_sql and reworked it quite a bit

* Tue Feb 15 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.18-5mdk
- spec file cleanups, remove the ADVX-build stuff

* Tue Jan 25 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.18-4mdk
- rebuilt against MySQL-4.1.x system libs

* Sun Nov 21 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.18-3mdk
- built for apache 1.3.33

* Tue Jul 13 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.18-2mdk
- remove redundant provides

* Thu Jun 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.18-1mdk
- 1.18
- rename the package as the module is now known as mod_log_sql
- built for apache 1.3.31

* Sun Nov 09 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.15-8mdk
- built for apache 1.3.29

* Tue Sep 16 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.15-7mdk
- rebuild with apache 1.3.28

* Thu Feb 13 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.15-6mdk
- Link with MySQL 4.0.10
- new macros from ADVX-build

* Sat Jan 18 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.15-5mdk
- rebuilt against rebuilt buildrequires
- follow spec file design as in main
- added missing mod_log_mysql.html file

* Fri Nov  8 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.15-4mdk
- Rebuild for Cooker

* Mon Oct 28 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.15-3mdk
- Rebuild with new apache

* Wed Jun 26 2002 Christian Belisle <cbelisle@mandrakesoft.com> 1.15-2mdk
- Apache 1.3.26.
- MySQL 3.23.51.

* Mon Apr 15 2002 Christian Belisle <cbelisle@mandrakesoft.com> 1.15-1mdk
- New version (1.15).
- Apache 1.3.24.
- MySQL 3.23.49.

* Fri Apr  5 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.14-1mdk
- new version
- spec file fix

* Mon Feb 04 2002 Christian Belisle <cbelisle@mandrakesoft.com> 1.12-2mdk
- Rebuild against latest apache.

* Mon Dec 17 2001 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.12-1mdk
- update to 1.12
- fix requires

* Mon Dec  3 2001 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.11-1mdk
- initial cooker contrib.
- used the mod_gzip spec file as template.
